Loading...
Searching...
No Matches
osmo_ss7_route_table Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

struct llist_head | list
| member in list of routing tables
struct osmo_ss7_instance * | inst
| osmo_ss7_instance to which we belong
struct llist_head | routes
| list of osmo_ss7_route
struct { |
char * name |
char * description |
} | cfg |

## Field Documentation

## [struct]

struct { ... } osmo_ss7_route_table::cfg

Referenced by DEFUN_ATTR(), osmo_ss7_route_table_find(), osmo_ss7_route_table_find_or_create(), vty_dump_rtable(), and write_one_rtable().

## description

char* osmo_ss7_route_table::description

Referenced by DEFUN_ATTR(), and write_one_rtable().

## inst

struct osmo_ss7_instance* osmo_ss7_route_table::inst

osmo_ss7_instance to which we belong

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_route_create(), osmo_ss7_route_destroy(), osmo_ss7_route_find_dpc(), osmo_ss7_route_find_dpc_mask(), osmo_ss7_route_name(), osmo_ss7_route_print(), osmo_ss7_route_table_find(), osmo_ss7_route_table_find_or_create(), osmo_ss7_vty_go_parent(), and write_one_rtable().

## list

struct llist_head osmo_ss7_route_table::list

member in list of routing tables

Referenced by osmo_ss7_route_table_destroy(), osmo_ss7_route_table_find(), and osmo_ss7_route_table_find_or_create().

## name

char* osmo_ss7_route_table::name

Referenced by osmo_ss7_route_table_find(), osmo_ss7_route_table_find_or_create(), vty_dump_rtable(), and write_one_rtable().

## routes

struct llist_head osmo_ss7_route_table::routes

list of osmo_ss7_route

Referenced by osmo_ss7_as_destroy(), osmo_ss7_linkset_destroy(), osmo_ss7_route_find_dpc(), osmo_ss7_route_find_dpc_mask(), osmo_ss7_route_table_find_or_create(), route_insert_sorted(), vty_dump_rtable(), and write_one_rtable().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h